<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="Brut_Agent_lbud_KAKI"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="350"
		 pageHeight="842"
		 columnWidth="350"
		 columnSpacing="0"
		 leftMargin="0"
		 rightMargin="0"
		 topMargin="0"
		 bottomMargin="0"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="ID_BS" isForPrompting="true" class="java.lang.String"/>
	<parameter name="LIGNE_BUDG" isForPrompting="true" class="java.lang.String"/>
	<queryString><![CDATA[select ANNEE, MOIS, ID_BS, UB,CR,SOUS_CR,ACTION,CODE_ANA,CONVENTION,
DATE_PAIE, INSEE, CLE, NOM_USUEL, PRENOM,CODE_ELEMENT, LIBELLE_ELEMENT, TYPE_ELEMENT, BRUT_ELEMENT BRUT_ELEMENT,CLASSE_6, LIGNE_BUDG
from
(
select k05.annee_paie ANNEE, k05.mois_paie MOIS, 
organ.org_ub UB,organ.org_cr CR,organ.org_souscr SOUS_CR,typcred.tcd_code TYPE_CREDIT,action.lolf_code ACTION,
cod_ana.can_code CODE_ANA,conv.exercice||'-'||to_char(conv.conv_index,'FM0000') CONVENTION,
k05.id_bs,k05.d_paie DATE_PAIE, no_insee INSEE, cle_insee CLE, nom_usuel NOM_USUEL, prenom PRENOM,  
e.idelt CODE_ELEMENT, e.l_element LIBELLE_ELEMENT,
decode(e.c_nature, 'P','Rem', 'O', 'Sal', 'I', 'Pat') TYPE_ELEMENT, round((k10e.mt_element*lbud.pagl_quotite)/100,2)  BRUT_ELEMENT, 
 JEFY_PAF.get_imputation_UBx(k10e.IDKX10ELT,k10e.C_ELEMENT,k10e.imput_budget) CLASSE_6,
lbud.org_id||lbud.tcd_ordre||lbud.lolf_id||lbud.can_id||lbud.conv_ordre ligne_budg
from 
jefy_paf.kx_05 K05, jefy_paf.kx_10 k10, jefy_paf.kx_10_element K10e, jefy_paf.kx_element e,
jefy_paf.PAF_AGENT_LBUD lbud,
jefy_admin.organ organ,jefy_admin.type_credit typcred, 
jefy_admin.LOLF_NOMENCLATURE_DEPENSE action,jefy_admin.CODE_ANALYTIQUE cod_ana, jefy_paf.v_convention conv
where
k05.idkx05 = k10.idkx05
and k10.idkx10 = k10E.idkx10
and k10e.c_element = e.idelt
and k05.id_bs = lbud.id_bs
and lbud.org_id = organ.org_id 
and lbud.tcd_ordre = typcred.tcd_ordre
and action.lolf_id = lbud.lolf_id 
and lbud.can_id = cod_ana.can_id(+)
and lbud.CONV_ORDRE = conv.conv_ordre(+)
and k10e.imput_budget <> '00000000'
and e.c_nature = 'P'
and K10E.IDKX10ELT not in (select K10E_bud.IDKX10ELT from jefy_paf.KX_10_ELEMENT_LBUD K10E_bud where k05.id_bs = K10E_bud.id_bs)
) elb
where elb.LIGNE_BUDG like $P{LIGNE_BUDG} 
and elb.id_bs = $P{ID_BS}
order by  UB||CR||SOUS_CR||ACTION,LIGNE_BUDG,NOM_USUEL, PRENOM,ID_BS]]></queryString>

	<field name="ANNEE" class="java.math.BigDecimal"/>
	<field name="MOIS" class="java.math.BigDecimal"/>
	<field name="ID_BS" class="java.lang.String"/>
	<field name="UB" class="java.lang.String"/>
	<field name="CR" class="java.lang.String"/>
	<field name="SOUS_CR" class="java.lang.String"/>
	<field name="ACTION" class="java.lang.String"/>
	<field name="CODE_ANA" class="java.lang.String"/>
	<field name="CONVENTION" class="java.lang.String"/>
	<field name="DATE_PAIE" class="java.sql.Timestamp"/>
	<field name="INSEE" class="java.lang.String"/>
	<field name="CLE" class="java.lang.String"/>
	<field name="NOM_USUEL" class="java.lang.String"/>
	<field name="PRENOM" class="java.lang.String"/>
	<field name="CODE_ELEMENT" class="java.lang.String"/>
	<field name="LIBELLE_ELEMENT" class="java.lang.String"/>
	<field name="TYPE_ELEMENT" class="java.lang.String"/>
	<field name="BRUT_ELEMENT" class="java.math.BigDecimal"/>
	<field name="CLASSE_6" class="java.lang.String"/>
	<field name="LIGNE_BUDG" class="java.lang.String"/>

	<variable name="TOTAL_BRUT_ELEMENT" class="java.math.BigDecimal" resetType="Group" resetGroup="ID_BS" calculation="Sum">
		<variableExpression><![CDATA[$F{BRUT_ELEMENT}]]></variableExpression>
	</variable>
	<variable name="RECUP_BRUT" class="java.math.BigDecimal" resetType="Group" resetGroup="ID_BS" calculation="Sum">
		<variableExpression><![CDATA[$F{BRUT_ELEMENT}]]></variableExpression>
	</variable>

		<group  name="ID_BS" >
			<groupExpression><![CDATA[$F{ID_BS}]]></groupExpression>
			<groupHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="13"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="3"
						y="0"
						width="180"
						height="12"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font fontName="SansSerif" size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{CODE_ELEMENT}+ " " + $F{LIBELLE_ELEMENT}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="183"
						y="0"
						width="58"
						height="12"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" rightPadding="5" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right">
						<font fontName="SansSerif" size="8"/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[$F{BRUT_ELEMENT}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="241"
						y="0"
						width="55"
						height="12"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font fontName="SansSerif" size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{CLASSE_6}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
